using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;
using System.ComponentModel.DataAnnotations;

namespace OnlyOneAccessTemplate.Models
{
    public class SiteConfiguration
    {
        [BsonId]
        [BsonRepresentation(BsonType.ObjectId)]
        public string Id { get; set; } = string.Empty;

        [Required]
        public string Language { get; set; } = "pt";

        public SeoConfig Seo { get; set; } = new();
        public Dictionary<string, PageContent> Pages { get; set; } = new();
        public ConversionConfig Conversion { get; set; } = new();
        public DateTime CreatedAt { get; set; } = DateTime.UtcNow;
        public DateTime UpdatedAt { get; set; } = DateTime.UtcNow;
    }
}
